Bug 117096 - used before set + wrong number of parameters
used before set + wrong number of parameters
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-02-28 09:24 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-02 11:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-28 09:24:57 EST
Description of problem:

I just tried to compile Core2 Test1 package tetex-2.0.2-10

The compiler said


pdftex1.c(4333): remark #592: variable "notprintedplusyet" is used
before its value is set

The source code makes this clear

  boolean notprintedplusyet  ;
  halfword p, q  ;
  scaled s  ;
  printnl ( 888 ) ;
    printscaled ( curactivewidth [1 ]) ;
    s = curactivewidth [2 ];
    if ( s != 0 )
      if ( notprintedplusyet )

Suggest init notprintedplusyet before first use.


pdfetex1.c(7150): remark #592: variable "notprintedplusyet" is used
before its value is set



toc.c(353): warning #165: too few arguments in function call

The source code is

    Leave_Mark_Page(w, event);

but, earlier in the same file

static void
  /* Called when mouse leaved the LIST-widget */
  Leave_Mark_Page(w, event, button)
Widget  w;
XEvent  *event;
int      button;

Three parameters required, but only two suppled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tim Waugh 2004-03-02 11:19:48 EST
Please report these upstream.
Comment 2 d.binderman 2004-03-02 16:23:48 EST
>Please report these upstream.

I would like to be able to comply with your reasonable
request, but I'm afraid I haven't got the time or
resources to do so.

Should a member of the Redhat team decide to report
this bug upstream, then that is fine by me.

Note You need to log in before you can comment on or make changes to this bug.